Subject: Re: [PATCH RFC net-next 01/13] net: bridge: add control of bum flooding to bridge itself

From: Joachim Wiberg <[email-masked]>
Date: Wed, 13 Apr 2022 12:09:28 +0200

On Wed, Apr 13, 2022 at 12:58, Nikolay Aleksandrov <[email-masked]> wrote:
> On 13/04/2022 12:51, Joachim Wiberg wrote:
>> Interesting, you mean by speculatively setting local_rcv = true and
>> postpone the decsion to br_pass_frame_up(), right?  Yeah that would
>> indeed be a bit more work.
> Yes, I was thinking maybe local_rcv can become an enum with an exact reason for the
> local_rcv, so if it's > 0 do the local_rcv and br_pass_frame_up() then
> can make a proper decision without passing all of the vars. I haven't tried it,
> so not sure if it's feasible. :)

Ah, yeah that could definitely work. Thanks, I'll keep that in mind! :)